FROM node:16-alpine

RUN npm install -g ts-node

WORKDIR /usr/src/app

# Add package file
COPY package*.json ./

COPY . .

RUN npm install
RUN npm run build

#ENV NODE_ENV=production

# Expose port 5000
#EXPOSE 5000

CMD ["npm", "start"]